Package org.apache.jasper.compiler

# Class TagPluginManager

java.lang.Object
org.apache.jasper.compiler.TagPluginManager

public class TagPluginManager extends Object
Manages tag plugin optimizations.

Author:
  Kin-man Chung

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TagPluginManager(ServletContext ctxt)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(org.apache.jasper.compiler.Node.Nodes page, ErrorDispatcher err, org.apache.jasper.compiler.PageInfo pageInfo)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TagPluginManager

    public TagPluginManager(ServletContext ctxt)

- ## Method Details

  - ### apply

    public void apply(org.apache.jasper.compiler.Node.Nodes page, ErrorDispatcher err, org.apache.jasper.compiler.PageInfo pageInfo) throws JasperException
    Throws:
      `JasperException`